# Interface Sections

#### Hierarchy

- Sections

#####
Index

### Properties

collapsible
expanded
id
items
sections
title
titleHalign
titleStyle

## Properties

### collapsible

collapsible: string

Whether the section is collapsible. Only applies if the legend orientation is vertical.

#### Deprecated

Since 16.0.0. Collapsible legend sections are not recommended in the Redwood theme.

### expanded

expanded: string

Whether the section is initially expanded. Only applies if the section is collapsible.

#### Deprecated

Since 14.1.0. Applications should use the expanded API on oj-legend instead.

### id

id: string

The id of the legend section. For the DataProvider case, the key for the node will be used as the id.

### items

items: object[]

An array of objects with the following properties defining the legend items. Also accepts a Promise for deferred data rendering. No data will be rendered if the Promise is rejected.

### sections

sections: object[]

An array of nested legend sections.

#### Deprecated

Since 18.0.0. Use of nested legend sections is not recommended in Redwood theme. As such, this attribute is deprecated.

### title

title: string

The title of the legend section.

### titleHalign

titleHalign: string

The horizontal alignment of the section title. If the section is collapsible or nested, only start alignment is supported.

#### Deprecated

Since 15.1.0. Individual section title alignment is no longer supported. Use section-title-halign in oj-legend to align all section titles.

### titleStyle

titleStyle: object

The CSS style object defining the style of the section title. The following style properties are supported: color, cursor, fontFamily, fontSize, fontStyle, fontWeight, textDecoration.

#### Deprecated

Since 15.1.0. Individual section title style is no longer supported. Use section-title-style in oj-legend to style all section titles.

Generated using TypeDoc